Index: /locker/bin/signup-minimal
===================================================================
--- /locker/bin/signup-minimal	(revision 628)
+++ /locker/bin/signup-minimal	(revision 629)
@@ -55,4 +55,15 @@
 fi
 
+ans=`$WGET -q -O- "http://scripts.mit.edu/~signup/fsla.php/mit/$lname"`
+if [ "$ans" != "0" ]; then
+  echo
+  echo "ERROR:"
+  echo "The scripts servers cannot verify the permissions of the locker <$lname>."
+  echo "Try running \"fs sa /mit/$lname daemon.scripts l\" (with a lowercase"
+  echo "L at the end) and then try again. Contact scripts@mit.edu if you are"
+  echo "unable to solve the problem."
+  exit 1
+fi
+
 principal=`klist -5 | sed -n 's/^Default principal: // p'`
 ans=`$WGET -q -O- "http://scripts.mit.edu/~signup/admof.php/$lname/$principal"`
@@ -63,15 +74,4 @@
   echo "It appears as though you are not an administrator of the locker <$lname>."
   echo "Try running \"fs sa /mit/$lname $afsuser all\" and starting over."
-  echo "Contact scripts@mit.edu if you are unable to solve the problem."
-  exit 1
-fi
-
-ans=`fs la "/mit/$lname" | grep '^  system:a[nyuth]*user .*l'`
-if [ -z "$ans" ]; then
-  echo
-  echo "ERROR:"
-  echo "It appears as though the locker <$lname> is not listable by system:anyuser."
-  echo "You might want to run \"fs sa /mit/$lname system:anyuser l\""
-  echo "(that's a lowercase L rather than a one) and then try again."
   echo "Contact scripts@mit.edu if you are unable to solve the problem."
   exit 1
